Zum Inhalt springen

Image Preprocessors · Mlsd

Integrieren

Modell-ID image-preprocessors/mlsd
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-preprocessors/mlsd?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: ≈0,004 $ 4 API-Credits · ≈ 0,43 ₽ Auf dieser Seite ausführen

API-Schlüssel abrufen
Utility · Bild

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich image_url
Datei ablegen oder

URL des zu verarbeitenden Bildes.

Erweitert score_threshold · distance_threshold
Standard 0.1

Schwellenwert des MLSD-Detektors für Bewertungen.

Standard 0.1

Schwellenwert des MLSD-Detektors für die Entfernung.

POST /run/image-preprocessors/mlsd?wait=20 Preis → 0,004 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-preprocessors/mlsd?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Image Preprocessors · Mlsd

Vorverarbeitung, die Liniensegmente in `image_url` findet und sich für Architektur und Innenräume eignet. `score_threshold` und `distance_threshold` haben beide standardmäßig den Wert 0.1 und legen fest, welche Segmente beibehalten werden. Gibt ein Bild der erkannten Linien zurück.

Parameter

Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen

NameTyp StandardZulässig Beschreibung
image_urlerforderlich image
Typurl · image
URL des zu verarbeitenden Bildes.
score_thresholdoptional
Typnumber
Standard0.1
Schwellenwert des MLSD-Detektors für Bewertungen.
distance_thresholdoptional
Typnumber
Standard0.1
Schwellenwert des MLSD-Detektors für die Entfernung.
erforderlich Kanonischer Name, ebenfalls akzeptiert

Dateiparameter akzeptieren eine öffentliche https://-URL, eine data:-URI bis 10 MB oder die file_url eines Uploads. Dateien

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-preprocessors/mlsd",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4,
    "usd": "0.004",
    "charged": 4,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
image
object {url, content_type, file_name, file_size, width, height}Bild mit den von MLSD erkannten Linien.

Weitere Modelle: Bildbearbeitung

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/image-preprocessors/mlsd.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt